<!DOCTYPE html>
<html lang="{{ g.locale }}">
	<head>
		<meta charset="utf-8">
		<link
			rel="stylesheet"
			href="{{ url_for('static', filename='fonts/roboto-mono/style.css') }}"
		>
		<link
			rel="stylesheet"
			href="{{ url_for('static', filename='fonts/roboto/style.css') }}"
		>
		<link
			rel="stylesheet"
			href="{{ url_for('static', filename='css/main.css') }}"
		>
		<link
			rel="icon"
			href="{{ url_for('static', filename='images/logo.webp') }}"
			type="image/webp"
		>
		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<meta name="author" content="Tomáš Valenta">
		<meta
			name="description"
			content="{% block description %}{% endblock %}"
		>
		
		<meta
			property="og:title"
			content="{% block title %}{% endblock %}"
		>
		<meta
			property="og:image"
			content="{{ url_for('static', filename='images/logo.png', _external=True) }}"
		>
		<meta
			property="og:description"
			content="{{ self.description() }}"
		>
		
		<title>{{ self.title() }}</title>
	</head>
	<body>
		{% if is_article %}
			<article>
		{% endif %}
				<header>
					<h1>
						{% block header %}{% endblock %}
					</h1>
				</header>
				<main>
					{% block main %}{% endblock %}
				</main>
		{% if is_article %}
			</article>
		{% endif %}
		
		<footer>
			<p class="made-by">
				{{ gettext("Vytvořil <a href='https://blog.imaniti.org' rel='nofollow noreferrer noopener' target='_blank'>Tomáš Valenta</a>. Sdílejte a nechte ostatní sdílet za stejných podmínek.")|safe }}
			</p>
			
			{% block footer %}{% endblock %}
			
			<div id="footer-bottom-icons">
				<a
					href="https://blog.imaniti.org"
					rel="nofollow noreferrer noopener"
					target="_blank"
				><img
					src="{{ url_for('static', filename='images/personal_logo.svg') }}"
					width="40"
					height="40"
					alt="My logo"
				></a>
				
				<a
					href="https://en.wikipedia.org/wiki/Missionary_Church_of_Kopimism"
					rel="nofollow noreferrer noopener"
					target="_blank"
				><img
					src="{{ url_for('static', filename='images/kopimi.svg') }}"
					width="40"
					height="40"
					alt="Kopimi"
				></a>
			</div>
		</footer>
		
		<!-- Matomo Image Tracker-->
		<img referrerpolicy="no-referrer-when-downgrade" src="https://matomo.imaniti.org/matomo.php?idsite=15&amp;rec=1" style="border:0" alt="" />
		<!-- End Matomo -->
	</body>
</html>
